FUNCTION OPERATOR||(3)

NAME
boost::logic::operator|| - Computes the logical disjunction of two tribools.

SYNOPSIS

// In header: <boost/logic/tribool.hpp>
tribool operator||(tribool x, tribool y);
tribool operator||(tribool x, bool y);
tribool operator||(bool x, tribool y);
tribool operator||(indeterminate_keyword_t, tribool x);
tribool operator||(tribool x, indeterminate_keyword_t);

DESCRIPTION

Returns:
    the result of logically ORing the two tribool values, according to the following table:
    || | false | true | indeterminate
    false | false | true | indeterminate
    true | true | true | true
    indeterminate | indeterminate | true | indeterminate

Throws:
    Will not throw.